Package org.apache.commons.math3.ml.neuralnet.twod.util

# Interface MapVisualization

All Known Implementing Classes:
  `UnifiedDistanceMatrix`

public interface MapVisualization
Interface for algorithms that compute some property of a 2D-map.

Since:
  3.6

## Method Summary

Modifier and Type
Method
Description
`double[][]`
`computeImage(NeuronSquareMesh2D map)`
Creates an image of the `map`.

## Method Details

### computeImage

double[][] computeImage(NeuronSquareMesh2D map)
Creates an image of the `map`.

Parameters:
  `map` - Map.
Returns:
  a 2D-array (in row major order) representing the property.